Package svnmailer :: Package notifier :: Module selector :: Class Selector

[hide private]

# Class Selector

source code

    object --+
             |
            Selector

Notifier selector class

Instance Methods | [hide private]

__init__(self, settings) Initialization | source code

`list` of `svnmailer.notifier.*`

selectNotifiers(self, groupset) Returns the initialized notifiers for the specified groupset | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Instance Variables | [hide private]

`svnmailer.settings.Settings` | _settings The svnmailer settings

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, settings)
(Constructor)

source code

Initialization

Parameters:
  - `settings` (`svnmailer.settings.Settings`) - the svnmailer settings
Overrides: object.__init__

### selectNotifiers(self, groupset)

source code

Returns the initialized notifiers for the specified groupset

Parameters:
  - `groupset` (`list`) - The groupset to process
Returns: `list` of `svnmailer.notifier.*`
  The notifiers